#ifndef __ALFFSTAT_H
#define __ALFFSTAT_H
/*  Project Biblio-Tec

	 SUBSYSTEM:    TEC30r.dll Library (TecLib)
	 FILE:         alffstat.h
	 AUTHOR:       Alcindo Ferreira Filho

	 OVERVIEW:
	 ALFFStatic Class definition. It defines an static text
    object that can be tailored on text and background colors.

    COPYRIGHT:    © 1998-2005
                  Alcindo Ferreira Filho
                  <alcindo@inttec.com.br>

    LICENSE:      Biblio-Tec license (BiblTec.txt)
*/
#include "alffobj.h"
#include <owl\control.h>
#include <owl\color.h>

class _TECLIBCLASS ALFFStatic : public TControl, public ALFFObject
{
  public:
	 ALFFStatic(TWindow* parent, int resId, char* text, COLORREF bkColor);
    ~ALFFStatic();
	 virtual void SetBkgdColor(COLORREF color);
	 virtual void SetTextColor(COLORREF color);
	 void SetText(char* text);
	 void Clear();

  private:
	 COLORREF  BkgdColor;
	 COLORREF  TextColor;
	 char*   StaticText;
	 char far* GetClassName() {return "ALFFStatic";}

	 void EvPaint();
	 void EvLButtonDown(UINT, TPoint&);
	 void EvLButtonDblClk(UINT, TPoint&);
  DECLARE_RESPONSE_TABLE(ALFFStatic);
};

#endif

